Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.fst
Class Builder.Arc<T>

    java.lang.Object
      org.apache.lucene.util.fst.Builder.Arc<T>

Enclosing class:
  Builder<T>

    public static class Builder.Arc<T>

extends Object

Expert: holds a pending (seen but not yet serialized) arc.

Field Summary
`boolean` | `isFinal`
`int` | `label`
`T` | `nextFinalOutput`
`T` | `output`
`org.apache.lucene.util.fst.Builder.Node` | `target`

Constructor Summary
`Builder.Arc()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    public int label

### target

    public org.apache.lucene.util.fst.Builder.Node target

### isFinal

    public boolean isFinal

### output

    public T output

### nextFinalOutput

    public T nextFinalOutput

Constructor Detail

### Builder.Arc

    public Builder.Arc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD